std::uniform_real_distribution< _RealType > Class Template Reference
Numerics » Random Number Generation » Random Number Generators » Random Number Distributions » Uniform Distributions

## Classes

struct | param_type

## Public Types

typedef _RealType | result_type

## Public Member Functions

| uniform_real_distribution (_RealType __a=_RealType(0), _RealType __b=_RealType(1))
| uniform_real_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type | a () const
result_type | b () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const uniform_real_distribution &__d1, const uniform_real_distribution &__d2)

## Detailed Description

### template<typename _RealType = double>
class std::uniform_real_distribution< _RealType >

Uniform continuous distribution for random numbers.

A continuous random distribution on the range [min, max) with equal probability throughout the range. The URNG should be real-valued and deliver number in the range [0, 1).

Definition at line 1702 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc